#ifndef QAD_SQL_TABLE_H
#define QAD_SQL_TABLE_H

#include <QtCore/qplugin.h>
#include <QtDesigner/QtDesigner>

class QADSQLTable
	: public QObject
	, public QDesignerCustomWidgetCollectionInterface {
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)
#if QT_VERSION >= 0x050000
	Q_PLUGIN_METADATA(IID "qad.sql_table")
#endif

public:
	explicit QADSQLTable(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface *> customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface *> m_widgets;
};

#endif // QAD_SQL_TABLE_H
